PDFStructElem.Placeholder (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Class PDFStructElem.Placeholder

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.StructureHierarchyMember
      - - org.apache.fop.pdf.PDFStructElem
        - - org.apache.fop.pdf.PDFStructElem.Placeholder

- All Implemented Interfaces:
    java.io.Serializable, StructureTreeElement, PDFWritable
  Enclosing class:
    PDFStructElem

      public static class PDFStructElem.Placeholder
      extends PDFStructElem

  Class representing a placeholder for a PDF Structure Element.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.pdf.PDFStructElem

      `PDFStructElem.Placeholder`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFStructElem

      `kids, parentElement`

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Placeholder(PDFObject parent)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFObjectNumber` | `getObjectNumber()` Returns the object number of this indirect object.
    `void` | `outputInline(java.io.OutputStream out, java.lang.StringBuilder textBuffer)` Writes a "direct object" (inline object) representation to the stream.

    - ### Methods inherited from class org.apache.fop.pdf.PDFStructElem

      `addKid, addKidInSpecificOrder, attachKids, getKids, getLanguage, getParentStructElem, getStructureType, output, setLanguage, setMCIDKid, setPage, setParent, setTableAttributeColSpan, setTableAttributeRowSpan, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Placeholder

          public Placeholder(PDFObject parent)

  - ### Method Detail

    - #### outputInline

          public void outputInline(java.io.OutputStream out,
                                   java.lang.StringBuilder textBuffer)
                            throws java.io.IOException

      Description copied from class: `PDFObject`
      Writes a "direct object" (inline object) representation to the stream. A text buffer is given for optimized encoding of text content.

      IMPORTANT: If you need to write out binary output, call `PDFDocument.flushTextBuffer(StringBuilder, OutputStream)` before writing any content to the `OutputStream`!

      Specified by:
        `outputInline` in interface `PDFWritable`
      Overrides:
        `outputInline` in class `PDFObject`
      Parameters:
        `out` - the OutputStream (for binary content)
        `textBuffer` - the text buffer for text content
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### getObjectNumber

          public PDFObjectNumber getObjectNumber()

      Returns the object number of this indirect object. Note that a compressed object must have a generation number of 0.
      Returns:
        the object number.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.